Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024922
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-10-10 11:332013-11-19 19:07
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revisione3a8f5f3ca3b
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024922: Fields that use a table reference extension are not displayed properly in grid view

DescriptionFields that use a table reference extension are not displayed properly in grid view (See attachment). In form view the information appears correctly.
Steps To ReproduceAs system admin role:
1) Go to the [Reference] window and create a new reference
 - Parent Referece: Table
In the Table Refence tab set:
 - Table: BusinessPartnerLocation
 - Key Column: C_BPartner_Location_ID
 - Displayed Column: C_Location_ID
2) Create a new column for c_bpartner table and assign the reference created in step 1.
3) Create a field for the recently created column. Check off the display in grid view checkbox
4) ant smartbuild
5) restart tomcat
As group admin role:
6) Go to the business partner window and notice that the information of the new filed is not displayed correctly in grid view
TagsNo tags attached.
Attached Filespng file icon RefTabInGrid.png [^] (5,597 bytes) 2013-10-10 11:53

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0025264 closedAugustoMauch Primary key in grid list when displaying a "table reference" column which displayed column is a foreign key ("table, tabledir) 
related to defect 00244883.0PR14Q2 closedshankarb It is not possible to filter by "Parent" field in Manufacturing Plan Lines tab 

-  Notes
(0062078)
hgbot (developer)
2013-11-12 06:42

Repository: erp/devel/pi
Changeset: e3a8f5f3ca3b483febb036b94c866e8b452e9727
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Nov 12 11:00:33 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e3a8f5f3ca3b483febb036b94c866e8b452e9727 [^]

Fixes Issue 0024922: Fields that use a table reference extension are not displayed properly in grid view

If the table reference object is an instance of BaseObObject then the identifier is used instead of the whole object.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
---
(0062209)
AugustoMauch (developer)
2013-11-18 13:20

Code reviewed and verified in pi@db204076ebbc
(0062253)
hudsonbot (developer)
2013-11-19 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab71e0273dc1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-10-10 11:33 caristu New Issue
2013-10-10 11:33 caristu Assigned To => AugustoMauch
2013-10-10 11:33 caristu Modules => Core
2013-10-10 11:33 caristu Triggers an Emergency Pack => No
2013-10-10 11:53 caristu Description Updated View Revisions
2013-10-10 11:53 caristu Issue Monitored: networkb
2013-10-10 11:53 caristu File Added: RefTabInGrid.png
2013-10-31 12:57 alostale Target Version 3.0MP28 => 3.0MP30
2013-11-07 13:09 maite Relationship added related to 0024488
2013-11-11 09:37 shankarb Assigned To AugustoMauch => shankarb
2013-11-12 06:28 shankarb Review Assigned To => AugustoMauch
2013-11-12 06:29 shankarb Issue Monitored: AugustoMauch
2013-11-12 06:42 hgbot Checkin
2013-11-12 06:42 hgbot Note Added: 0062078
2013-11-12 06:42 hgbot Status new => resolved
2013-11-12 06:42 hgbot Resolution open => fixed
2013-11-12 06:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e3a8f5f3ca3b483febb036b94c866e8b452e9727 [^]
2013-11-18 13:20 AugustoMauch Note Added: 0062209
2013-11-18 13:20 AugustoMauch Status resolved => closed
2013-11-18 13:20 AugustoMauch Fixed in Version => 3.0MP30
2013-11-19 19:07 hudsonbot Checkin
2013-11-19 19:07 hudsonbot Note Added: 0062253
2014-03-14 07:50 alostale Relationship added has duplicate 0025264


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker